<?php
$editurl = Horde::applicationUrl(Util::addParameter('edit.php', array('bookmark_id' => $bookmark->getId(),
                                                                      'category_id' => $bookmark->getParent())));
$delurl = Util::addParameter($editurl, 'actionID', 'del_bookmark');
$target = $prefs->getValue('show_in_new_window') ? '_blank' : '';
$url = $bookmark->get('url');
$title = trim($bookmark->get('title'));
?>
<table width="100%" cellspacing="0">
 <tr>

  <td valign="top">
   <?php echo Horde::img('protocol/' . substr($url, 0, strpos($url, '://')) . '.png'); ?>
  </td>

  <td valign="top" width="100%">
   <div style="font-weight:bold">
    <?php echo Horde::link($url, $title, null, $target) . $title ?></a>
   </div>

   <div class="small">
    <?php echo Horde::link($url, $title, null, $target) . wordwrap($url, 50, '<br />', true) ?></a>
   </div>

   <div>
    <?php echo htmlspecialchars($bookmark->get('description')) ?>
   </div>
  </td>

  <?php if ($prefs->getValue('display_edit')) : ?>
   <td valign="top">
    <?php echo Horde::link($delurl, _("Delete")) .
               Horde::img('delete-small.png', _("Delete"), null, $GLOBALS['registry']->getImageDir('horde')) . '</a>' .
               Horde::link($editurl, _("Edit")) .
               Horde::img('edit-small.png', _("Edit"), null, $GLOBALS['registry']->getImageDir('horde')) ?></a>
   </td>
  <?php endif; ?>

 </tr>
</table>
