<?php
$editurl = Horde::applicationUrl(Util::addParameter('edit.php', array('category_id' => $bookmark->getParent(),
                                                                      'bookmark_id' => $bookmark->getId())));
$delurl = Util::addParameter($editurl, 'actionID', 'del_bookmark');
$target = $prefs->getValue('show_in_new_window') ? '_blank' : '';

$url = $bookmark->get('url');
$title = $bookmark->get('title');
$description = $bookmark->get('description');
?>
<table width="100%">
<tr>

  <td valign="top">
    <?php echo Horde::img('protocol/' . substr($url, 0, strpos($url, '://')) . '.png'); ?>
  </td>

  <td width="100%" valign="top">
    <?php echo Horde::link($url, $title, null, $target) ?><?php echo $title ?></a><?php echo (empty($description) ? '' : ' - <span class="small">' . $description . '</span>') ?>
  </td>

  <?php if ($prefs->getValue('display_edit')): ?>
    <td valign="top" style="white-space:nowrap;">
      <?php echo Horde::link($delurl, _("Delete")) ?>
      <?php echo Horde::img('delete-small.png', _("Delete"), null, $GLOBALS['registry']->getImageDir('horde')) ?></a>
      <?php echo Horde::link($editurl, _("Edit")) ?>
      <?php echo Horde::img('edit-small.png', _("Edit"), null, $GLOBALS['registry']->getImageDir('horde')) ?></a>
    </td>
  <?php endif; ?>

</tr>
</table>
